package test.schedule.IncDecMulDiv;
import com.ibm.realtime.exotasks.specification.*;
public class ExotaskIncDecMulDivGraph{
public static ExotaskGraphSpecification generateGraph(){
ExotaskGraphSpecification ans = new ExotaskGraphSpecification();
ExotaskTaskSpecification AdjustMul2=new ExotaskTaskSpecification();
AdjustMul2.setName("AdjustMul2");
AdjustMul2.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}, false, "AdjustMulORDiv"));
AdjustMul2.setImplementationClass("test.schedule.IncDecMulDiv.AdjustMul2");
AdjustMul2.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustMul2.setInputPortNames(new String[]{"in",});
AdjustMul2.setParameterType("");
AdjustMul2.setParameterValue("");
AdjustMul2.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustMul2.setOutputPortNames(new String[]{"out",});
AdjustMul2.setAdmits(new String[] {"java.lang.Integer",});
AdjustMul2.setWeaklyIsolated(false);
ans.getTasks().add(AdjustMul2);
ExotaskCommunicatorSpecification MulDivCounter=new ExotaskCommunicatorSpecification();
MulDivCounter.setName("MulDivCounter");
MulDivCounter.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLCommunicatorAnnotation(1000000000L, "MainP"));
MulDivCounter.setParameterType("java.lang.Integer");
MulDivCounter.setParameterValue("1");
ans.getTasks().add(MulDivCounter);
ExotaskTaskSpecification MulORDiv=new ExotaskTaskSpecification();
MulORDiv.setName("MulORDiv");
MulORDiv.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}, true, ""));
MulORDiv.setImplementationClass("test.schedule.IncDecMulDiv.MulORDivTask");
MulORDiv.setInputPortTypes(new String[]{"java.lang.Integer",});
MulORDiv.setInputPortNames(new String[]{"inCounter",});
MulORDiv.setParameterType("");
MulORDiv.setParameterValue("");
MulORDiv.setOutputPortTypes(new String[]{"java.lang.Integer",});
MulORDiv.setOutputPortNames(new String[]{"outCounter",});
MulORDiv.setAdmits(new String[] {"java.lang.Integer",});
MulORDiv.setWeaklyIsolated(false);
ans.getTasks().add(MulORDiv);
ExotaskTaskSpecification AdjustInc10=new ExotaskTaskSpecification();
AdjustInc10.setName("AdjustInc10");
AdjustInc10.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc10")}, false, "AdjustIncORDec"));
AdjustInc10.setImplementationClass("test.schedule.IncDecMulDiv.AdjustInc10");
AdjustInc10.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustInc10.setInputPortNames(new String[]{"in",});
AdjustInc10.setParameterType("");
AdjustInc10.setParameterValue("");
AdjustInc10.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustInc10.setOutputPortNames(new String[]{"out",});
AdjustInc10.setAdmits(new String[] {"java.lang.Integer",});
AdjustInc10.setWeaklyIsolated(false);
ans.getTasks().add(AdjustInc10);
ExotaskTaskSpecification AdjustMulORDiv=new ExotaskTaskSpecification();
AdjustMulORDiv.setName("AdjustMulORDiv");
AdjustMulORDiv.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}, true, ""));
AdjustMulORDiv.setImplementationClass("test.schedule.IncDecMulDiv.AdjustMulORDiv");
AdjustMulORDiv.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustMulORDiv.setInputPortNames(new String[]{"in",});
AdjustMulORDiv.setParameterType("");
AdjustMulORDiv.setParameterValue("");
AdjustMulORDiv.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustMulORDiv.setOutputPortNames(new String[]{"out",});
AdjustMulORDiv.setAdmits(new String[] {"java.lang.Integer",});
AdjustMulORDiv.setWeaklyIsolated(false);
ans.getTasks().add(AdjustMulORDiv);
ExotaskPredicateSpecification Inc5_2_Inc10=new ExotaskPredicateSpecification();
Inc5_2_Inc10.setName("Inc5_2_Inc10");
Inc5_2_Inc10.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}, "Inc10"));
Inc5_2_Inc10.setImplementationClass("test.schedule.IncDecMulDiv.Inc5_2_Inc10");
Inc5_2_Inc10.setInputPortTypes(new String[]{"java.lang.Integer",});
Inc5_2_Inc10.setInputPortNames(new String[]{"in",});
Inc5_2_Inc10.setParameterType("");
Inc5_2_Inc10.setParameterValue("");
ans.getTasks().add(Inc5_2_Inc10);
ExotaskTaskSpecification MulCounter8=new ExotaskTaskSpecification();
MulCounter8.setName("MulCounter8");
MulCounter8.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul8")}, false, "MulORDiv"));
MulCounter8.setImplementationClass("test.schedule.IncDecMulDiv.MulCounter8");
MulCounter8.setInputPortTypes(new String[]{"java.lang.Integer",});
MulCounter8.setInputPortNames(new String[]{"inCounter",});
MulCounter8.setParameterType("");
MulCounter8.setParameterValue("");
MulCounter8.setOutputPortTypes(new String[]{"java.lang.Integer",});
MulCounter8.setOutputPortNames(new String[]{"outCounter",});
MulCounter8.setAdmits(new String[] {"java.lang.Integer",});
MulCounter8.setWeaklyIsolated(false);
ans.getTasks().add(MulCounter8);
ExotaskTaskSpecification DivCounter2=new ExotaskTaskSpecification();
DivCounter2.setName("DivCounter2");
DivCounter2.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div2")}, false, "MulORDiv"));
DivCounter2.setImplementationClass("test.schedule.IncDecMulDiv.DivCounter2");
DivCounter2.setInputPortTypes(new String[]{"java.lang.Integer",});
DivCounter2.setInputPortNames(new String[]{"inCounter",});
DivCounter2.setParameterType("");
DivCounter2.setParameterValue("");
DivCounter2.setOutputPortTypes(new String[]{"java.lang.Integer",});
DivCounter2.setOutputPortNames(new String[]{"outCounter",});
DivCounter2.setAdmits(new String[] {"java.lang.Integer",});
DivCounter2.setWeaklyIsolated(false);
ans.getTasks().add(DivCounter2);
ExotaskCommunicatorSpecification IncDecCounter=new ExotaskCommunicatorSpecification();
IncDecCounter.setName("IncDecCounter");
IncDecCounter.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLCommunicatorAnnotation(1000000000L, "MainP"));
IncDecCounter.setParameterType("java.lang.Integer");
IncDecCounter.setParameterValue("0");
ans.getTasks().add(IncDecCounter);
ExotaskTaskSpecification AdjustDec10=new ExotaskTaskSpecification();
AdjustDec10.setName("AdjustDec10");
AdjustDec10.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}, false, "AdjustIncORDec"));
AdjustDec10.setImplementationClass("test.schedule.IncDecMulDiv.AdjustDec10");
AdjustDec10.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustDec10.setInputPortNames(new String[]{"in",});
AdjustDec10.setParameterType("");
AdjustDec10.setParameterValue("");
AdjustDec10.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustDec10.setOutputPortNames(new String[]{"out",});
AdjustDec10.setAdmits(new String[] {"java.lang.Integer",});
AdjustDec10.setWeaklyIsolated(false);
ans.getTasks().add(AdjustDec10);
ExotaskTaskSpecification AdjustMul4=new ExotaskTaskSpecification();
AdjustMul4.setName("AdjustMul4");
AdjustMul4.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}, false, "AdjustMulORDiv"));
AdjustMul4.setImplementationClass("test.schedule.IncDecMulDiv.AdjustMul4");
AdjustMul4.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustMul4.setInputPortNames(new String[]{"in",});
AdjustMul4.setParameterType("");
AdjustMul4.setParameterValue("");
AdjustMul4.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustMul4.setOutputPortNames(new String[]{"out",});
AdjustMul4.setAdmits(new String[] {"java.lang.Integer",});
AdjustMul4.setWeaklyIsolated(false);
ans.getTasks().add(AdjustMul4);
ExotaskTaskSpecification Reporter=new ExotaskTaskSpecification();
Reporter.setName("Reporter");
Reporter.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("ReportMode")}, false, ""));
Reporter.setImplementationClass("test.schedule.IncDecMulDiv.Reporter");
Reporter.setInputPortTypes(new String[]{"java.lang.Integer","java.lang.Integer",});
Reporter.setInputPortNames(new String[]{"inIncDec","inMulDiv",});
Reporter.setParameterType("");
Reporter.setParameterValue("");
Reporter.setOutputPortTypes(new String[]{});
Reporter.setOutputPortNames(new String[]{});
Reporter.setAdmits(new String[] {});
Reporter.setWeaklyIsolated(false);
ans.getTasks().add(Reporter);
ExotaskTaskSpecification MulCounter2=new ExotaskTaskSpecification();
MulCounter2.setName("MulCounter2");
MulCounter2.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}, false, "MulORDiv"));
MulCounter2.setImplementationClass("test.schedule.IncDecMulDiv.MulCounter2");
MulCounter2.setInputPortTypes(new String[]{"java.lang.Integer",});
MulCounter2.setInputPortNames(new String[]{"inCounter",});
MulCounter2.setParameterType("");
MulCounter2.setParameterValue("");
MulCounter2.setOutputPortTypes(new String[]{"java.lang.Integer",});
MulCounter2.setOutputPortNames(new String[]{"outCounter",});
MulCounter2.setAdmits(new String[] {"java.lang.Integer",});
MulCounter2.setWeaklyIsolated(false);
ans.getTasks().add(MulCounter2);
ExotaskTaskSpecification AdjustDiv4=new ExotaskTaskSpecification();
AdjustDiv4.setName("AdjustDiv4");
AdjustDiv4.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}, false, "AdjustMulORDiv"));
AdjustDiv4.setImplementationClass("test.schedule.IncDecMulDiv.AdjustDiv4");
AdjustDiv4.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustDiv4.setInputPortNames(new String[]{"in",});
AdjustDiv4.setParameterType("");
AdjustDiv4.setParameterValue("");
AdjustDiv4.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustDiv4.setOutputPortNames(new String[]{"out",});
AdjustDiv4.setAdmits(new String[] {"java.lang.Integer",});
AdjustDiv4.setWeaklyIsolated(false);
ans.getTasks().add(AdjustDiv4);
ExotaskTaskSpecification IncCounter1=new ExotaskTaskSpecification();
IncCounter1.setName("IncCounter1");
IncCounter1.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}, false, "IncORDec"));
IncCounter1.setImplementationClass("test.schedule.IncDecMulDiv.IncCounter1");
IncCounter1.setInputPortTypes(new String[]{"java.lang.Integer",});
IncCounter1.setInputPortNames(new String[]{"inCounter",});
IncCounter1.setParameterType("");
IncCounter1.setParameterValue("");
IncCounter1.setOutputPortTypes(new String[]{"java.lang.Integer",});
IncCounter1.setOutputPortNames(new String[]{"outCounter",});
IncCounter1.setAdmits(new String[] {"java.lang.Integer",});
IncCounter1.setWeaklyIsolated(false);
ans.getTasks().add(IncCounter1);
ExotaskTaskSpecification AdjustDiv2=new ExotaskTaskSpecification();
AdjustDiv2.setName("AdjustDiv2");
AdjustDiv2.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div2")}, false, "AdjustMulORDiv"));
AdjustDiv2.setImplementationClass("test.schedule.IncDecMulDiv.AdjustDiv2");
AdjustDiv2.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustDiv2.setInputPortNames(new String[]{"in",});
AdjustDiv2.setParameterType("");
AdjustDiv2.setParameterValue("");
AdjustDiv2.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustDiv2.setOutputPortNames(new String[]{"out",});
AdjustDiv2.setAdmits(new String[] {"java.lang.Integer",});
AdjustDiv2.setWeaklyIsolated(false);
ans.getTasks().add(AdjustDiv2);
ExotaskTaskSpecification AdjustInc5=new ExotaskTaskSpecification();
AdjustInc5.setName("AdjustInc5");
AdjustInc5.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}, false, "AdjustIncORDec"));
AdjustInc5.setImplementationClass("test.schedule.IncDecMulDiv.AdjustInc5");
AdjustInc5.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustInc5.setInputPortNames(new String[]{"in",});
AdjustInc5.setParameterType("");
AdjustInc5.setParameterValue("");
AdjustInc5.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustInc5.setOutputPortNames(new String[]{"out",});
AdjustInc5.setAdmits(new String[] {"java.lang.Integer",});
AdjustInc5.setWeaklyIsolated(false);
ans.getTasks().add(AdjustInc5);
ExotaskPredicateSpecification Dec10_2_Dec5=new ExotaskPredicateSpecification();
Dec10_2_Dec5.setName("Dec10_2_Dec5");
Dec10_2_Dec5.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}, "Dec5"));
Dec10_2_Dec5.setImplementationClass("test.schedule.IncDecMulDiv.Dec10_2_Dec5");
Dec10_2_Dec5.setInputPortTypes(new String[]{"java.lang.Integer",});
Dec10_2_Dec5.setInputPortNames(new String[]{"in",});
Dec10_2_Dec5.setParameterType("");
Dec10_2_Dec5.setParameterValue("");
ans.getTasks().add(Dec10_2_Dec5);
ExotaskPredicateSpecification Mul2Div=new ExotaskPredicateSpecification();
Mul2Div.setName("Mul2Div");
Mul2Div.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul")}, "Div"));
Mul2Div.setImplementationClass("test.schedule.IncDecMulDiv.Mul2Div");
Mul2Div.setInputPortTypes(new String[]{"java.lang.Integer",});
Mul2Div.setInputPortNames(new String[]{"in",});
Mul2Div.setParameterType("");
Mul2Div.setParameterValue("");
ans.getTasks().add(Mul2Div);
ExotaskTaskSpecification AdjustDec1=new ExotaskTaskSpecification();
AdjustDec1.setName("AdjustDec1");
AdjustDec1.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec1")}, false, "AdjustIncORDec"));
AdjustDec1.setImplementationClass("test.schedule.IncDecMulDiv.AdjustDec1");
AdjustDec1.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustDec1.setInputPortNames(new String[]{"in",});
AdjustDec1.setParameterType("");
AdjustDec1.setParameterValue("");
AdjustDec1.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustDec1.setOutputPortNames(new String[]{"out",});
AdjustDec1.setAdmits(new String[] {"java.lang.Integer",});
AdjustDec1.setWeaklyIsolated(false);
ans.getTasks().add(AdjustDec1);
ExotaskTaskSpecification DecCounter5=new ExotaskTaskSpecification();
DecCounter5.setName("DecCounter5");
DecCounter5.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}, false, "IncORDec"));
DecCounter5.setImplementationClass("test.schedule.IncDecMulDiv.DecCounter5");
DecCounter5.setInputPortTypes(new String[]{"java.lang.Integer",});
DecCounter5.setInputPortNames(new String[]{"inCounter",});
DecCounter5.setParameterType("");
DecCounter5.setParameterValue("");
DecCounter5.setOutputPortTypes(new String[]{"java.lang.Integer",});
DecCounter5.setOutputPortNames(new String[]{"outCounter",});
DecCounter5.setAdmits(new String[] {"java.lang.Integer",});
DecCounter5.setWeaklyIsolated(false);
ans.getTasks().add(DecCounter5);
ExotaskPredicateSpecification Mul4_2_Mul8=new ExotaskPredicateSpecification();
Mul4_2_Mul8.setName("Mul4_2_Mul8");
Mul4_2_Mul8.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}, "Mul8"));
Mul4_2_Mul8.setImplementationClass("test.schedule.IncDecMulDiv.Mul4_2_Mul8");
Mul4_2_Mul8.setInputPortTypes(new String[]{"java.lang.Integer",});
Mul4_2_Mul8.setInputPortNames(new String[]{"in",});
Mul4_2_Mul8.setParameterType("");
Mul4_2_Mul8.setParameterValue("");
ans.getTasks().add(Mul4_2_Mul8);
ExotaskTaskSpecification AdjustIncORDec=new ExotaskTaskSpecification();
AdjustIncORDec.setName("AdjustIncORDec");
AdjustIncORDec.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}, true, ""));
AdjustIncORDec.setImplementationClass("test.schedule.IncDecMulDiv.AdjustIncORDec");
AdjustIncORDec.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustIncORDec.setInputPortNames(new String[]{"inCounter",});
AdjustIncORDec.setParameterType("");
AdjustIncORDec.setParameterValue("");
AdjustIncORDec.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustIncORDec.setOutputPortNames(new String[]{"outCounter",});
AdjustIncORDec.setAdmits(new String[] {"java.lang.Integer",});
AdjustIncORDec.setWeaklyIsolated(false);
ans.getTasks().add(AdjustIncORDec);
ExotaskPredicateSpecification Inc2Dec=new ExotaskPredicateSpecification();
Inc2Dec.setName("Inc2Dec");
Inc2Dec.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc")}, "Dec"));
Inc2Dec.setImplementationClass("test.schedule.IncDecMulDiv.Inc2Dec");
Inc2Dec.setInputPortTypes(new String[]{"java.lang.Integer",});
Inc2Dec.setInputPortNames(new String[]{"inCounter",});
Inc2Dec.setParameterType("");
Inc2Dec.setParameterValue("");
ans.getTasks().add(Inc2Dec);
ExotaskTaskSpecification MulCounter4=new ExotaskTaskSpecification();
MulCounter4.setName("MulCounter4");
MulCounter4.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}, false, "MulORDiv"));
MulCounter4.setImplementationClass("test.schedule.IncDecMulDiv.MulCounter4");
MulCounter4.setInputPortTypes(new String[]{"java.lang.Integer",});
MulCounter4.setInputPortNames(new String[]{"inCounter",});
MulCounter4.setParameterType("");
MulCounter4.setParameterValue("");
MulCounter4.setOutputPortTypes(new String[]{"java.lang.Integer",});
MulCounter4.setOutputPortNames(new String[]{"outCounter",});
MulCounter4.setAdmits(new String[] {"java.lang.Integer",});
MulCounter4.setWeaklyIsolated(false);
ans.getTasks().add(MulCounter4);
ExotaskTaskSpecification AdjustDec5=new ExotaskTaskSpecification();
AdjustDec5.setName("AdjustDec5");
AdjustDec5.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}, false, "AdjustIncORDec"));
AdjustDec5.setImplementationClass("test.schedule.IncDecMulDiv.AdjustDec5");
AdjustDec5.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustDec5.setInputPortNames(new String[]{"in",});
AdjustDec5.setParameterType("");
AdjustDec5.setParameterValue("");
AdjustDec5.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustDec5.setOutputPortNames(new String[]{"out",});
AdjustDec5.setAdmits(new String[] {"java.lang.Integer",});
AdjustDec5.setWeaklyIsolated(false);
ans.getTasks().add(AdjustDec5);
ExotaskPredicateSpecification Mul2_2_Mul4=new ExotaskPredicateSpecification();
Mul2_2_Mul4.setName("Mul2_2_Mul4");
Mul2_2_Mul4.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}, "Mul4"));
Mul2_2_Mul4.setImplementationClass("test.schedule.IncDecMulDiv.Mul2_2_Mul4");
Mul2_2_Mul4.setInputPortTypes(new String[]{"java.lang.Integer",});
Mul2_2_Mul4.setInputPortNames(new String[]{"in",});
Mul2_2_Mul4.setParameterType("");
Mul2_2_Mul4.setParameterValue("");
ans.getTasks().add(Mul2_2_Mul4);
ExotaskPredicateSpecification Dec2Inc=new ExotaskPredicateSpecification();
Dec2Inc.setName("Dec2Inc");
Dec2Inc.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}, "Inc"));
Dec2Inc.setImplementationClass("test.schedule.IncDecMulDiv.Dec2Inc");
Dec2Inc.setInputPortTypes(new String[]{"java.lang.Integer",});
Dec2Inc.setInputPortNames(new String[]{"inCounter",});
Dec2Inc.setParameterType("");
Dec2Inc.setParameterValue("");
ans.getTasks().add(Dec2Inc);
ExotaskPredicateSpecification Dec5_2_Dec1=new ExotaskPredicateSpecification();
Dec5_2_Dec1.setName("Dec5_2_Dec1");
Dec5_2_Dec1.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}, "Dec1"));
Dec5_2_Dec1.setImplementationClass("test.schedule.IncDecMulDiv.Dec5_2_Dec1");
Dec5_2_Dec1.setInputPortTypes(new String[]{"java.lang.Integer",});
Dec5_2_Dec1.setInputPortNames(new String[]{"in",});
Dec5_2_Dec1.setParameterType("");
Dec5_2_Dec1.setParameterValue("");
ans.getTasks().add(Dec5_2_Dec1);
ExotaskTaskSpecification AdjustMul8=new ExotaskTaskSpecification();
AdjustMul8.setName("AdjustMul8");
AdjustMul8.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul8")}, false, "AdjustMulORDiv"));
AdjustMul8.setImplementationClass("test.schedule.IncDecMulDiv.AdjustMul8");
AdjustMul8.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustMul8.setInputPortNames(new String[]{"in",});
AdjustMul8.setParameterType("");
AdjustMul8.setParameterValue("");
AdjustMul8.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustMul8.setOutputPortNames(new String[]{"out",});
AdjustMul8.setAdmits(new String[] {"java.lang.Integer",});
AdjustMul8.setWeaklyIsolated(false);
ans.getTasks().add(AdjustMul8);
ExotaskTaskSpecification IncORDec=new ExotaskTaskSpecification();
IncORDec.setName("IncORDec");
IncORDec.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}, true, ""));
IncORDec.setImplementationClass("test.schedule.IncDecMulDiv.IncORDecAbstractTask");
IncORDec.setInputPortTypes(new String[]{"java.lang.Integer",});
IncORDec.setInputPortNames(new String[]{"inCounter",});
IncORDec.setParameterType("");
IncORDec.setParameterValue("");
IncORDec.setOutputPortTypes(new String[]{"java.lang.Integer",});
IncORDec.setOutputPortNames(new String[]{"outCounter",});
IncORDec.setAdmits(new String[] {"java.lang.Integer",});
IncORDec.setWeaklyIsolated(false);
ans.getTasks().add(IncORDec);
ExotaskTaskSpecification DecCounter10=new ExotaskTaskSpecification();
DecCounter10.setName("DecCounter10");
DecCounter10.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}, false, "IncORDec"));
DecCounter10.setImplementationClass("test.schedule.IncDecMulDiv.DecCounter10");
DecCounter10.setInputPortTypes(new String[]{"java.lang.Integer",});
DecCounter10.setInputPortNames(new String[]{"inCounter",});
DecCounter10.setParameterType("");
DecCounter10.setParameterValue("");
DecCounter10.setOutputPortTypes(new String[]{"java.lang.Integer",});
DecCounter10.setOutputPortNames(new String[]{"outCounter",});
DecCounter10.setAdmits(new String[] {"java.lang.Integer",});
DecCounter10.setWeaklyIsolated(false);
ans.getTasks().add(DecCounter10);
ExotaskTaskSpecification DivCounter8=new ExotaskTaskSpecification();
DivCounter8.setName("DivCounter8");
DivCounter8.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}, false, "MulORDiv"));
DivCounter8.setImplementationClass("test.schedule.IncDecMulDiv.DivCounter8");
DivCounter8.setInputPortTypes(new String[]{"java.lang.Integer",});
DivCounter8.setInputPortNames(new String[]{"inCounter",});
DivCounter8.setParameterType("");
DivCounter8.setParameterValue("");
DivCounter8.setOutputPortTypes(new String[]{"java.lang.Integer",});
DivCounter8.setOutputPortNames(new String[]{"outCounter",});
DivCounter8.setAdmits(new String[] {"java.lang.Integer",});
DivCounter8.setWeaklyIsolated(false);
ans.getTasks().add(DivCounter8);
ExotaskTaskSpecification DecCounter1=new ExotaskTaskSpecification();
DecCounter1.setName("DecCounter1");
DecCounter1.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec1")}, false, "IncORDec"));
DecCounter1.setImplementationClass("test.schedule.IncDecMulDiv.DecCounter1");
DecCounter1.setInputPortTypes(new String[]{"java.lang.Integer",});
DecCounter1.setInputPortNames(new String[]{"inCounter",});
DecCounter1.setParameterType("");
DecCounter1.setParameterValue("");
DecCounter1.setOutputPortTypes(new String[]{"java.lang.Integer",});
DecCounter1.setOutputPortNames(new String[]{"outCounter",});
DecCounter1.setAdmits(new String[] {"java.lang.Integer",});
DecCounter1.setWeaklyIsolated(false);
ans.getTasks().add(DecCounter1);
ExotaskTaskSpecification AdjustDiv8=new ExotaskTaskSpecification();
AdjustDiv8.setName("AdjustDiv8");
AdjustDiv8.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}, false, "AdjustMulORDiv"));
AdjustDiv8.setImplementationClass("test.schedule.IncDecMulDiv.AdjustDiv8");
AdjustDiv8.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustDiv8.setInputPortNames(new String[]{"in",});
AdjustDiv8.setParameterType("");
AdjustDiv8.setParameterValue("");
AdjustDiv8.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustDiv8.setOutputPortNames(new String[]{"out",});
AdjustDiv8.setAdmits(new String[] {"java.lang.Integer",});
AdjustDiv8.setWeaklyIsolated(false);
ans.getTasks().add(AdjustDiv8);
ExotaskTaskSpecification IncCounter5=new ExotaskTaskSpecification();
IncCounter5.setName("IncCounter5");
IncCounter5.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}, false, "IncORDec"));
IncCounter5.setImplementationClass("test.schedule.IncDecMulDiv.IncCounter5");
IncCounter5.setInputPortTypes(new String[]{"java.lang.Integer",});
IncCounter5.setInputPortNames(new String[]{"inCounter",});
IncCounter5.setParameterType("");
IncCounter5.setParameterValue("");
IncCounter5.setOutputPortTypes(new String[]{"java.lang.Integer",});
IncCounter5.setOutputPortNames(new String[]{"outCounter",});
IncCounter5.setAdmits(new String[] {"java.lang.Integer",});
IncCounter5.setWeaklyIsolated(false);
ans.getTasks().add(IncCounter5);
ExotaskTaskSpecification DivCounter4=new ExotaskTaskSpecification();
DivCounter4.setName("DivCounter4");
DivCounter4.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}, false, "MulORDiv"));
DivCounter4.setImplementationClass("test.schedule.IncDecMulDiv.DivCounter4");
DivCounter4.setInputPortTypes(new String[]{"java.lang.Integer",});
DivCounter4.setInputPortNames(new String[]{"inCounter",});
DivCounter4.setParameterType("");
DivCounter4.setParameterValue("");
DivCounter4.setOutputPortTypes(new String[]{"java.lang.Integer",});
DivCounter4.setOutputPortNames(new String[]{"outCounter",});
DivCounter4.setAdmits(new String[] {"java.lang.Integer",});
DivCounter4.setWeaklyIsolated(false);
ans.getTasks().add(DivCounter4);
ExotaskPredicateSpecification Inc1_2_Inc5=new ExotaskPredicateSpecification();
Inc1_2_Inc5.setName("Inc1_2_Inc5");
Inc1_2_Inc5.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}, "Inc5"));
Inc1_2_Inc5.setImplementationClass("test.schedule.IncDecMulDiv.Inc1_2_Inc5");
Inc1_2_Inc5.setInputPortTypes(new String[]{"java.lang.Integer",});
Inc1_2_Inc5.setInputPortNames(new String[]{"in",});
Inc1_2_Inc5.setParameterType("");
Inc1_2_Inc5.setParameterValue("");
ans.getTasks().add(Inc1_2_Inc5);
ExotaskPredicateSpecification Div2Mul=new ExotaskPredicateSpecification();
Div2Mul.setName("Div2Mul");
Div2Mul.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}, "Mul"));
Div2Mul.setImplementationClass("test.schedule.IncDecMulDiv.Div2Mul");
Div2Mul.setInputPortTypes(new String[]{"java.lang.Integer",});
Div2Mul.setInputPortNames(new String[]{"in",});
Div2Mul.setParameterType("");
Div2Mul.setParameterValue("");
ans.getTasks().add(Div2Mul);
ExotaskPredicateSpecification Div4_2_Div2=new ExotaskPredicateSpecification();
Div4_2_Div2.setName("Div4_2_Div2");
Div4_2_Div2.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}, "Div2"));
Div4_2_Div2.setImplementationClass("test.schedule.IncDecMulDiv.Div4_2_Div2");
Div4_2_Div2.setInputPortTypes(new String[]{"java.lang.Integer",});
Div4_2_Div2.setInputPortNames(new String[]{"in",});
Div4_2_Div2.setParameterType("");
Div4_2_Div2.setParameterValue("");
ans.getTasks().add(Div4_2_Div2);
ExotaskTaskSpecification AdjustInc1=new ExotaskTaskSpecification();
AdjustInc1.setName("AdjustInc1");
AdjustInc1.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}, false, "AdjustIncORDec"));
AdjustInc1.setImplementationClass("test.schedule.IncDecMulDiv.AdjustInc1");
AdjustInc1.setInputPortTypes(new String[]{"java.lang.Integer",});
AdjustInc1.setInputPortNames(new String[]{"in",});
AdjustInc1.setParameterType("");
AdjustInc1.setParameterValue("");
AdjustInc1.setOutputPortTypes(new String[]{"java.lang.Integer",});
AdjustInc1.setOutputPortNames(new String[]{"out",});
AdjustInc1.setAdmits(new String[] {"java.lang.Integer",});
AdjustInc1.setWeaklyIsolated(false);
ans.getTasks().add(AdjustInc1);
ExotaskTaskSpecification IncCounter10=new ExotaskTaskSpecification();
IncCounter10.setName("IncCounter10");
IncCounter10.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLTaskAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc10")}, false, "IncORDec"));
IncCounter10.setImplementationClass("test.schedule.IncDecMulDiv.IncCounter10");
IncCounter10.setInputPortTypes(new String[]{"java.lang.Integer",});
IncCounter10.setInputPortNames(new String[]{"inCounter",});
IncCounter10.setParameterType("");
IncCounter10.setParameterValue("");
IncCounter10.setOutputPortTypes(new String[]{"java.lang.Integer",});
IncCounter10.setOutputPortNames(new String[]{"outCounter",});
IncCounter10.setAdmits(new String[] {"java.lang.Integer",});
IncCounter10.setWeaklyIsolated(false);
ans.getTasks().add(IncCounter10);
ExotaskPredicateSpecification Div8_2_Div4=new ExotaskPredicateSpecification();
Div8_2_Div4.setName("Div8_2_Div4");
Div8_2_Div4.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeSwitch(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}, "Div4"));
Div8_2_Div4.setImplementationClass("test.schedule.IncDecMulDiv.Div8_2_Div4");
Div8_2_Div4.setInputPortTypes(new String[]{"java.lang.Integer",});
Div8_2_Div4.setInputPortNames(new String[]{"in",});
Div8_2_Div4.setParameterType("");
Div8_2_Div4.setParameterValue("");
ans.getTasks().add(Div8_2_Div4);
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_MulCounter4",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}),MulDivCounter,0,MulCounter4,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustInc10_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc10")}),AdjustInc10,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_DivCounter2",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div2")}),MulDivCounter,0,DivCounter2,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulORDiv_AdjustMulORDiv",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}),MulORDiv,0,AdjustMulORDiv,0));
ans.getConnections().add(new ExotaskConnectionSpecification("DecCounter5_AdjustDec5",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}),DecCounter5,0,AdjustDec5,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Div4_2_Div2",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}),MulDivCounter,0,Div4_2_Div2,0));
ans.getConnections().add(new ExotaskConnectionSpecification("DivCounter2_AdjustDiv2",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div2")}),DivCounter2,0,AdjustDiv2,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustInc1_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}),AdjustInc1,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustDiv4_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}),AdjustDiv4,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("DecCounter1_AdjustDec1",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec1")}),DecCounter1,0,AdjustDec1,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_IncCounter5",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}),IncDecCounter,0,IncCounter5,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Mul4_2_Mul8",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}),MulDivCounter,0,Mul4_2_Mul8,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustMulORDiv_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}),AdjustMulORDiv,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Mul2Div",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul")}),MulDivCounter,0,Mul2Div,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustDiv2_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div2")}),AdjustDiv2,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncCounter10_AdjustInc10",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc10")}),IncCounter10,0,AdjustInc10,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulCounter2_AdjustMul2",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}),MulCounter2,0,AdjustMul2,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustMul2_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}),AdjustMul2,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Inc5_2_Inc10",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}),IncDecCounter,0,Inc5_2_Inc10,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulCounter8_AdjustMul8",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul8")}),MulCounter8,0,AdjustMul8,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Inc2Dec",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc")}),IncDecCounter,0,Inc2Dec,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_IncCounter10",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc10")}),IncDecCounter,0,IncCounter10,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustMul8_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul8")}),AdjustMul8,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_IncORDec",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}),IncDecCounter,0,IncORDec,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_DecCounter5",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}),IncDecCounter,0,DecCounter5,0));
ans.getConnections().add(new ExotaskConnectionSpecification("DivCounter8_AdjustDiv8",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}),DivCounter8,0,AdjustDiv8,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Reporter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("ReportMode")}),IncDecCounter,0,Reporter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulCounter4_AdjustMul4",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}),MulCounter4,0,AdjustMul4,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncCounter5_AdjustInc5",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}),IncCounter5,0,AdjustInc5,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustInc5_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc5")}),AdjustInc5,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Div2Mul",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}),MulDivCounter,0,Div2Mul,0));
ans.getConnections().add(new ExotaskConnectionSpecification("DivCounter4_AdjustDiv4",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}),DivCounter4,0,AdjustDiv4,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_DecCounter10",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}),IncDecCounter,0,DecCounter10,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Dec2Inc",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}),IncDecCounter,0,Dec2Inc,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Div8_2_Div4",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}),MulDivCounter,0,Div8_2_Div4,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_DivCounter8",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}),MulDivCounter,0,DivCounter8,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustDec1_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec1")}),AdjustDec1,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_MulCounter8",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul8")}),MulDivCounter,0,MulCounter8,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_DecCounter1",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec1")}),IncDecCounter,0,DecCounter1,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_DivCounter4",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div4")}),MulDivCounter,0,DivCounter4,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncORDec_AdjustIncORDec",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}),IncORDec,0,AdjustIncORDec,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Mul2_2_Mul4",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}),MulDivCounter,0,Mul2_2_Mul4,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_IncCounter1",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}),IncDecCounter,0,IncCounter1,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustIncORDec_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec")}),AdjustIncORDec,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Dec5_2_Dec1",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}),IncDecCounter,0,Dec5_2_Dec1,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_MulCounter2",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul2")}),MulDivCounter,0,MulCounter2,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Dec10_2_Dec5",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}),IncDecCounter,0,Dec10_2_Dec5,0));
ans.getConnections().add(new ExotaskConnectionSpecification("DecCounter10_AdjustDec10",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}),DecCounter10,0,AdjustDec10,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncDecCounter_Inc1_2_Inc5",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}),IncDecCounter,0,Inc1_2_Inc5,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustDec10_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec10")}),AdjustDec10,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustDiv8_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div8")}),AdjustDiv8,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustDec5_IncDecCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Dec5")}),AdjustDec5,0,IncDecCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("AdjustMul4_MulDivCounter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(2, true, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul4")}),AdjustMul4,0,MulDivCounter,0));
ans.getConnections().add(new ExotaskConnectionSpecification("IncCounter1_AdjustInc1",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(-1, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Inc1")}),IncCounter1,0,AdjustInc1,0));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_Reporter",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("ReportMode")}),MulDivCounter,0,Reporter,1));
ans.getConnections().add(new ExotaskConnectionSpecification("MulDivCounter_MulORDiv",new at.uni_salzburg.cs.exotasks.timing.htl.HTLConnectionAnnotation(0, false, new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Mul"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeAssignment("Div")}),MulDivCounter,0,MulORDiv,0));
ans.setTimingData(new at.uni_salzburg.cs.exotasks.timing.htl.HTLExotaskGraphAnnotation(new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgramList(new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgram[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgram("MainP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgram("IncP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgram("DecP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgram("MulP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLProgram("DivP")}), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModuleList(new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("IncDecM", "Inc", "MainP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("MulDivM", "Mul", "MainP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("IncM", "Inc1", "IncP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("DecM", "Dec10", "DecP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("MulM", "Mul2", "MulP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("DivM", "Div8", "DivP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModule("ReportM", "ReportMode", "MainP")}), new at.uni_salzburg.cs.exotasks.timing.htl.HTLModeList(new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode[]{new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Inc", 2000000000L, "IncDecM", "IncP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Dec", 4000000000L, "IncDecM", "DecP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Inc1", 2000000000L, "IncM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Inc5", 2000000000L, "IncM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Inc10", 2000000000L, "IncM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Dec1", 4000000000L, "DecM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Dec5", 4000000000L, "DecM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Dec10", 4000000000L, "DecM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Mul", 6000000000L, "MulDivM", "MulP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Mul2", 6000000000L, "MulM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Mul4", 6000000000L, "MulM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Mul8", 6000000000L, "MulM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Div", 3000000000L, "MulDivM", "DivP"), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Div2", 3000000000L, "DivM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Div4", 3000000000L, "DivM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("Div8", 3000000000L, "DivM", ""), new at.uni_salzburg.cs.exotasks.timing.htl.HTLMode("ReportMode", 1000000000L, "ReportM", "")})));
return ans;
}
}
